Skip to main content
POST
/
v1
/
jobs
/
all
Get a list of jobs
curl --request POST \
  --url https://api.tryhamsa.com/v1/jobs/all \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sort": {
    "field": "createdAt",
    "direction": "asc"
  },
  "take": 2,
  "skip": 2,
  "search": "<string>",
  "status": "PENDING",
  "type": "TRANSCRIPTION"
}
'
{
  "success": false,
  "message": "success",
  "data": {
    "jobs": [
      {
        "id": "<string>",
        "title": "<string>",
        "type": "AI_CONTENT",
        "url": "<string>",
        "status": "PENDING",
        "cost": 123,
        "systemModelKey": "<string>",
        "relevantJobId": "<string>",
        "attributes": {
          "apiKey": "<string>",
          "mediaUrl": "<string>",
          "model": "<string>",
          "agentName": "<string>",
          "duration": 123,
          "voice": "<string>",
          "aiContentParts": "introduction",
          "sourceJob": "<string>"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "apiKey": "<string>",
        "createdBy": "<string>"
      }
    ],
    "total": 123,
    "filtered": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

projectId
string
required

Body

application/json
sort
object
take
integer
Required range: x >= 1
skip
integer
Required range: x >= 1
status
enum<string>
Available options:
PENDING,
COMPLETED,
FAILED
type
enum<string>
Available options:
TRANSCRIPTION,
TRANSLATION,
TTS,
AI_CONTENT

Response

Successful response

success
boolean
default:false
message
string
default:success
data
object